NetMapConnectionHandler (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.graphicLoader.netmap
Class NetMapConnectionHandler

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.plugin.graphicLoader.GraphicLoaderConnector
                  com.bbn.openmap.graphicLoader.netmap.NetMapConnectionHandler

All Implemented Interfaces:
  LightMapHandlerChild, PropertyConsumer, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener

    public class NetMapConnectionHandler

extends GraphicLoaderConnector

The NetMapConnectionHandler is an extension to the GraphicLoaderConnector that looks for a NetMapConnector object in the MapHandler. If it finds one, it creates a NetMapGraphicLoader for it, connects the two, and then starts acting like a GraphicLoaderConnector to merge the NetMapGraphicLoader with a GraphicLoaderPlugIn/PlugInLayer. It uses the same properties as the GraphicLoaderConnector, and the properties refer to how to handle the PlugInLayer that will eventually get created if a NetMapConnector is found.

Field Summary

Fields inherited from class com.bbn.openmap.plugin.graphicLoader.GraphicLoaderConnector
`layerHandler, newLayerIndex, NewLayerIndexProperty, newLayerVisible, NewLayerVisibleProperty, orphanGraphicLoaderPlugIns`

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport, isolated`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`NetMapConnectionHandler()`

Method Summary
`void` | `findAndInit(java.lang.Object obj)` Find GraphicLoaders and LayerHandler in the MapHandler.

Methods inherited from class com.bbn.openmap.plugin.graphicLoader.GraphicLoaderConnector
`checkGraphicLoader, findAndUndo, getLayerHandler, getNewLayerIndex, getProperties, getPropertyInfo, hookUpGraphicLoaderWithLayer, setLayerHandler, setNewLayerIndex, setNewLayerVisible, setNewLayerVisible, setProperties`

Methods inherited from class com.bbn.openmap.OMComponent
`getPropertyPrefix, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, firePropertyChange, fireVetoableChange, getBeanContext, isIsolated, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext, setIsolated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetMapConnectionHandler

    public NetMapConnectionHandler()

Method Detail

### findAndInit

    public void findAndInit(java.lang.Object obj)

  Find GraphicLoaders and LayerHandler in the MapHandler.

  Specified by:
    `findAndInit` in interface `LightMapHandlerChild`
  Overrides:
    `findAndInit` in class `GraphicLoaderConnector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details